# class PG::TextDecoder::Date

This is a decoder class for conversion of PostgreSQL date type to Ruby `Date` values.

As soon as this class is used, it requires the ruby standard library ‘date’.

### Public Instance Methods

decode(string, tuple=nil, field=nil) click to toggle source

    # File lib/pg/text_decoder/date.rb, line 11
    def decode(string, tuple=nil, field=nil)
            if string =~ /\A(\d{4})-(\d\d)-(\d\d)\z/
                    ::Date.new $1.to_i, $2.to_i, $3.to_i
            else
                    string
            end
    end